#
# spec file for package tree-sitter-markdown
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         _name markdown
Name:           tree-sitter-markdown
Version:        0.3.2
Release:        3.1
Summary:        Markdown grammar for tree-sitter
License:        MIT
URL:            https://github.com/tree-sitter-grammars/tree-sitter-markdown
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  tree-sitter
%treesitter_grammars %{name} %{name}-inline

%description
%{summary}.

%prep
%autosetup

%build
%treesitter_configure
%treesitter_build

%install
%treesitter_install

#neovim stuff
install -d %{buildroot}%{_libdir}/tree_sitter
ln -s %{_libdir}/libtree-sitter-%{name}.so %{buildroot}%{_libdir}/tree_sitter/%{_name}.so
ln -s %{_libdir}/libtree-sitter-%{name}-inline.so %{buildroot}%{_libdir}/tree_sitter/%{_name}_inline.so

%files
%license LICENSE
%treesitter_files
%{_libdir}/tree_sitter/%{_name}.so
%{_libdir}/tree_sitter/%{_name}_inline.so
%if 0%{?suse_version} < 1600
%dir %{_libdir}/tree_sitter
%endif

%changelog
* Wed Dec 11 2024 Richard Rahl <rrahl0@opensuse.org>
- disable devel package (for now)
* Wed Dec  4 2024 Richard Rahl <rrahl0@opensuse.org>
- switch to download_files service
- enable devel package
* Sun Oct 27 2024 Richard Rahl <rrahl0@opensuse.org>
- rename link markdown-inline.so to markdown_inline.so for neovim,
  as neovim disallows dashes in names (fixes boo#1232021)
* Wed Sep 11 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.3.2:
  * docs(rust): properly document optional feature
  * chore: rename common js file
- switch url to the new upstream url
* Wed Sep 11 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 0.3.1:
  * dependencies and docs updated
- update to 0.3.0:
  * update common makefile
  * update to tree-sitter 0.23.0
  * separate bindings
  * remove unused code
  * contribution instructions teach how to run tests
* Sat Jun 22 2024 Richard Rahl <rrahl0@disroot.org>
- switch to the correct upstream (which works with neovim)
* Fri Jun 21 2024 Richard Rahl <rrahl0@disroot.org>
- initial packaging
